Rated 5 out of 5 stars

Better than the alternatives. I also use it with KeePass Password Safe.

Works great with Firefox 4. You can force add-on compatibility by adding a new boolean preference in about:config "extensions.checkCompatibility.4.0" and setting it to false (Where "4.0" is your Firefox version, put a "b" on the end if you're using a beta).